<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'heartstar_elegro_payment_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'heartstar_elegro_payment_theme_setup9', 9 );
    function heartstar_elegro_payment_theme_setup9() {
        if ( heartstar_exists_elegro_payment() ) {
            add_filter( 'heartstar_filter_merge_styles', 'heartstar_elegro_payment_merge_styles' );
        }
        if ( is_admin() ) {
            add_filter( 'heartstar_filter_tgmpa_required_plugins', 'heartstar_elegro_payment_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'heartstar_elegro_payment_tgmpa_required_plugins' ) ) {

    function heartstar_elegro_payment_tgmpa_required_plugins( $list = array() ) {
        if ( heartstar_storage_isset( 'required_plugins', 'elegro-payment' ) ) {
            // Elegro plugin
            $list[] = array(
                'name'     => heartstar_storage_get_array( 'required_plugins', 'elegro-payment' ),
                'slug'     => 'elegro-payment',
                'required' => false,
            );

        }
        return $list;
    }
}

// Check if this plugin installed and activated
if ( ! function_exists( 'heartstar_exists_elegro_payment' ) ) {
    function heartstar_exists_elegro_payment() {
        return class_exists( 'WC_Elegro_Payment' );
    }
}

// Merge custom styles
if ( ! function_exists( 'heartstar_elegro_payment_merge_styles' ) ) {
    function heartstar_elegro_payment_merge_styles( $list ) {
        $list[] = 'plugins/elegro-payment/_elegro-payment.scss';
        return $list;
    }
}