<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'heartstar_trx_updater_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'heartstar_trx_updater_theme_setup9', 9 );
    function heartstar_trx_updater_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'heartstar_filter_tgmpa_required_plugins', 'heartstar_trx_updater_tgmpa_required_plugins', 8 );
        }
    }
}

// Filter to add in the required plugins list
// Priority 8 is used to add this plugin before all other plugins
if ( ! function_exists( 'heartstar_trx_updater_tgmpa_required_plugins' ) ) {
    
    function heartstar_trx_updater_tgmpa_required_plugins( $list = array() ) {
        if ( heartstar_storage_isset( 'required_plugins', 'trx_updater' )) {
            $path = heartstar_get_file_dir( 'plugins/trx_updater/trx_updater.zip' );
            if ( ! empty( $path ) || heartstar_get_theme_setting( 'tgmpa_upload' ) ) {
                $list[] = array(
                    'name'     => heartstar_storage_get_array( 'required_plugins', 'trx_updater' ),
                    'slug'     => 'trx_updater',
                    'source'   => ! empty( $path ) ? $path : 'upload://trx_updater.zip',
                    'version'  => '2.1.4',
                    'required' => false,
                );
            }
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'heartstar_exists_trx_updater' ) ) {
    function heartstar_exists_trx_updater() {
        return defined( 'TRX_UPDATER_VERSION' );
    }
}
